// #autoload
// #name = clientMechina.cs
// #version = 1.0
// #date = July,13,2001
// #author = Founder
// #warrior = Founder
// #email = founder@mechina.com
// #web = www.mechina.com/mod
// #description = Allows clients to have some proper mod support.
// #status = Finished I am pretty sure
// #readme = none
// #config = Go to settings/controls and make keybinds
$Mechina::ClientVersion = "fourth";
commandToServer( 'ClientIsInstalled', $Mechina::ClientVersion);
package MechinaClient {
	function useEMPMortar(%val)		{if(%val) use( EMPMortar );}
	function useDrunkMissile(%val)	{if(%val) use( DrunkMissile );}
	function useFlail(%val)			{if(%val) use( Flail );}
	function useFlameThrower(%val)	{if(%val) use( FlameThrower );}
	function useGravGun(%val)		{if(%val) use( GravGun );}
	function useLaserRifle(%val)		{if(%val) use( LaserRifle );}
	function useMicrowaveGun(%val)	{if(%val) use( MicrowaveGun );}
	function usePlazmaz(%val)		{if(%val) use( Plazmaz );}
	function useRomulan(%val)		{if(%val) use( Romulan );}
	function useShotGun(%val)		{if(%val) use( ShotGun );}
	function useTechTool(%val)		{if(%val) use( TechTool );}
	function useVulcan(%val)			{if(%val) use( Vulcan );}
	function quickPackStickyGrenade(%val)			{if(%val) addQuickPackFavorite("Sticky Bomb", grenade);}
	function quickPackFragGrenade(%val)			{if(%val) addQuickPackFavorite("Fragmentation Grenade", grenade);}
	function quickPackBoostPack(%val)				{if(%val) addQuickPackFavorite("Booster Pack");}
	function quickPackGrendalBoostPack(%val)		{if(%val) addQuickPackFavorite("Grendal Support Pack");}
	function quickPackVCloakDeployable(%val)		{if(%val) addQuickPackFavorite("Vehicle: Cloaking Device");}
	function quickPackVEnergyBoltDeployable(%val)	{if(%val) addQuickPackFavorite("Vehicle: Energy Bolts");}
	function quickPackVChaingunDeployable(%val)		{if(%val) addQuickPackFavorite("Vehicle: Chainguns");}
	function quickPackVMissileDeployable(%val)		{if(%val) addQuickPackFavorite("Vehicle: Shrike Missiles");}
	function quickPackVLightNapalmDeployable(%val)	{if(%val) addQuickPackFavorite("Vehicle: Light Napalm");}
	function quickPackEMPBarrelPack(%val)			{if(%val) addQuickPackFavorite("EMP AA Turret Barrel");}
	function quickPackLaserBarrelPack(%val)			{if(%val) addQuickPackFavorite("Small Laser Barrel");}
	function quickPackSmlFusionBarrelPack(%val)		{if(%val) addQuickPackFavorite("Small Fusion Barrel");}
	function quickPackStandardMissileDeployable(%val)	{if(%val) addQuickPackFavorite("AirStrike: Standard Missile");}
	function quickPackNapalmMissileDeployable(%val)	{if(%val) addQuickPackFavorite("AirStrike: Napalm Missile");}
	function quickPackMissileBeaconDeployable(%val)	{if(%val) addQuickPackFavorite("AirStrike: Beacon");}
	function quickPackMCSDeployable(%val)			{if(%val) addQuickPackFavorite("AirStrike: Launch Unit");}
	function quickPackTurretOutdoorDeployable(%val)	{if(%val) addQuickPackFavorite("Turret Base");}
	function quickPackFencePostDeployable(%val)		{if(%val) addQuickPackFavorite("Laser Fence Post");}
	function quickPackWatchDogDeployable(%val)		{if(%val) addQuickPackFavorite("WatchDog");}
	function quickPackCloakingDeviceDeployable(%val)	{if(%val) addQuickPackFavorite("Turret Cloaking Device");}
	function quickPackFieldBeaconDeployable(%val)	{if(%val) addQuickPackFavorite("Force Field Beacons");}
	function quickPackPlatformDeployable(%val)		{if(%val) addQuickPackFavorite("Deployable Platform");}
	function quickPackBlastWallDeployable(%val)		{if(%val) addQuickPackFavorite("Blast Wall");}
	function quickPackTeleporter(%val)				{if(%val) addQuickPackFavorite("Teleporter");}	
	function CycleNextPack(%val)					{if(%val) CycleNextPackNow(true);}
	function CyclePrevPack(%val)					{if(%val) CycleNextPackNow(false);}
	function CycleNextDeployable(%val)				{if(%val) CycleNextDeployableNow(true);}
	function CyclePrevDeployable(%val)				{if(%val) CycleNextDeployableNow(false);}
	function CycleNextPackNow(%next) {
		if($pref::LastPack $= "")
			$pref::LastPack = "Ammunition Pack";
		if(%next) {
			switch$($pref::LastPack) {
				case "Ammunition Pack": %nextPack = "Cloak Pack";
				case "Cloak Pack": %nextPack = "Energy Pack";
				case "Energy Pack": %nextPack = "Repair Pack";
				case "Repair Pack":	%nextPack = "Shield Pack";
				case "Shield Pack":	%nextPack = "Satchel Charge";
				case "Satchel Charge": %nextPack = "Sensor Jammer Pack";
				case "Sensor Jammer Pack": %nextPack = "Booster Pack";
				case "Booster Pack": %nextPack = "Grendal Support Pack";
				case "Grendal Support Pack": %nextPack = "Ammunition Pack";
				default: %nextPack = "Energy Pack"; } 
		} else {
			switch$($pref::LastPack) {
				case "Ammunition Pack": %nextPack = "Grendal Support Pack";
				case "Cloak Pack": %nextPack = "Ammunition Pack";
				case "Energy Pack": %nextPack = "Cloak Pack";
				case "Repair Pack": %nextPack = "Energy Pack";
				case "Shield Pack": %nextPack = "Repair Pack";
				case "Satchel Charge": %nextPack = "Shield Pack";
				case "Sensor Jammer Pack": %nextPack = "Satchel Charge";
				case "Booster Pack": %nextPack = "Sensor Jammer Pack";
				case "Grendal Support Pack": %nextPack = "Booster Pack";
				default: %nextPack = "Energy Pack"; } }
		addQuickPackFavorite(%nextPack);
		$pref::LastPack = %nextPack; }
	function CycleNextDeployableNow(%next) {
		%armor = getField($pref::Favorite[$pref::FavCurrentSelect], 1);
		if($pref::LastDepPack $= "") $pref::LastDepPack = "Motion Sensor Pack";
		if(%armor !$= "Mechinist") {
			if(%next) {
				switch$($pref::LastDepPack) {
					case "Vehicle: Cloaking Device": %nextPack = "Vehicle: Energy Bolts";
					case "Vehicle: Energy Bolts": %nextPack = "Vehicle: Chainguns";
					case "Vehicle: Chainguns": %nextPack = "Vehicle: Shrike Missiles";
					case "Vehicle: Shrike Missiles": %nextPack = "Vehicle: Light Napalm";
					case "Vehicle: Light Napalm": %nextPack = "AirStrike: Standard Missile";
					case "AirStrike: Standard Missile": %nextPack = "AirStrike: Napalm Missile";
					case "AirStrike: Napalm Missile": %nextPack = "AirStrike: Beacon";
					case "AirStrike: Beacon": %nextPack = "Pulse Sensor Pack";
					case "Pulse Sensor Pack": %nextPack = "Motion Sensor Pack";
					case "Motion Sensor Pack": %nextPack = "Vehicle: Cloaking Device";
					default: %nextPack = "Vehicle: Energy Bolts"; }
			} else {
				switch$($pref::LastDepPack) {
					case "Motion Sensor Pack": %nextPack = "Pulse Sensor Pack";
					case "Pulse Sensor Pack": %nextPack = "AirStrike: Beacon";
					case "AirStrike: Beacon": %nextPack = "AirStrike: Napalm Missile";
					case "AirStrike: Napalm Missile": %nextPack = "AirStrike: Standard Missile";
					case "AirStrike: Standard Missile": %nextPack = "Vehicle: Light Napalm";
					case "Vehicle: Light Napalm": %nextPack = "Vehicle: Shrike Missiles";
					case "Vehicle: Shrike Missiles": %nextPack = "Vehicle: Chainguns";
					case "Vehicle: Chainguns": %nextPack = "Vehicle: Energy Bolts";
					case "Vehicle: Energy Bolts": %nextPack = "Vehicle: Cloaking Device";
					case "Vehicle: Cloaking Device": %nextPack = "Motion Sensor Pack";
					default : %nextPack = "Motion Sensor Pack"; } }
		} else {
			if(%next) {
				switch$($pref::LastDepPack) {
					case "AA Turret Barrel": %nextPack = "Missile Turret Barrel";
					case "Missile Turret Barrel": %nextPack = "Mortar Turret Barrel";
					case "Mortar Turret Barrel": %nextPack = "Plasma Turret Barrel";
					case "Plasma Turret Barrel": %nextPack = "ELF Turret Barrel";
					case "ELF Turret Barrel": %nextPack = "EMP AA Turret Barrel";
					case "EMP AA Turret Barrel": %nextPack = "Small Laser Barrel";
					case "Small Laser Barrel": %nextPack = "Small Fusion Barrel";
					case "Small Fusion Barrel": %nextPack = "AirStrike: Standard Missile";
					case "AirStrike: Standard Missile": %nextPack = "AirStrike: Napalm Missile";
					case "AirStrike: Napalm Missile": %nextPack = "AirStrike: Launch Unit";
					case "AirStrike: Launch Unit": %nextPack = "Spider Clamp Turret";
					case "Spider Clamp Turret": %nextPack = "Turret Base";
					case "Turret Base": %nextPack = "Laser Fence Post";
					case "Laser Fence Post": %nextPack = "WatchDog";
					case "WatchDog": %nextPack = "Turret Cloaking Device";
					case "Turret Cloaking Device": %nextPack = "Inventory Station";
					case "Inventory Station": %nextPack = "Pulse Sensor Pack";
					case "Pulse Sensor Pack": %nextPack = "Motion Sensor Pack";
					case "Motion Sensor Pack": %nextPack = "Force Field Beacons";
					case "Force Field Beacons": %nextPack = "Deployable Platform";
					case "Deployable Platform": %nextPack = "Blast Wall";
					case "Blast Wall": %nextPack = "Teleporter";
					case "Teleporter": %nextPack = "Launch Pad";
					case "Launch Pad": %nextPack = "AA Turret Barrel";
					default : %nextPack = "AA Turret Barrel"; }
			} else {
				switch$($pref::LastDepPack) {
					case "Launch Pad": %nextPack = "Teleporter";
					case "Teleporter": %nextPack = "Blast Wall";
					case "Blast Wall": %nextPack = "Deployable Platform";
					case "Deployable Platform": %nextPack = "Force Field Beacons";
					case "Force Field Beacons": %nextPack = "Motion Sensor Pack";
					case "Motion Sensor Pack": %nextPack = "Pulse Sensor Pack";
					case "Pulse Sensor Pack": %nextPack = "Inventory Station";
					case "Inventory Station": %nextPack = "Turret Cloaking Device";
					case "Turret Cloaking Device": %nextPack = "WatchDog";
					case "WatchDog": %nextPack = "Laser Fence Post";
					case "Laser Fence Post": %nextPack = "Turret Base";
					case "Turret Base": %nextPack = "Spider Clamp Turret";
					case "Spider Clamp Turret": %nextPack = "AirStrike: Launch Unit";
					case "AirStrike: Launch Unit": %nextPack = "AirStrike: Napalm Missile";
					case "AirStrike: Napalm Missile": %nextPack = "AirStrike: Standard Missile";
					case "AirStrike: Standard Missile": %nextPack = "Small Fusion Barrel";
					case "Small Fusion Barrel": %nextPack = "Small Laser Barrel";
					case "Small Laser Barrel": %nextPack = "EMP AA Turret Barrel";
					case "EMP AA Turret Barrel": %nextPack = "ELF Turret Barrel";
					case "ELF Turret Barrel": %nextPack = "Plasma Turret Barrel";
					case "Plasma Turret Barrel": %nextPack = "Mortar Turret Barrel";
					case "Mortar Turret Barrel": %nextPack = "Missile Turret Barrel";
					case "Missile Turret Barrel": %nextPack = "AA Turret Barrel";
					case "AA Turret Barrel": %nextPack = "Launch Pad";
					default : %nextPack = "Teleporter"; } }
		} addQuickPackFavorite(%nextPack);
		$pref::LastDepPack = %nextPack; }
	function clientCmdSetDefaultVehicleKeys(%inVehicle) {
		parent::clientCmdSetDefaultVehicleKeys(%inVehicle);
		if(%inVehicle) {
			passengerKeys.copyBind( moveMap, useEMPMortar );
			passengerKeys.copyBind( moveMap, useDrunkMissile );
			passengerKeys.copyBind( moveMap, useFlail );
			passengerKeys.copyBind( moveMap, useFlameThrower );
			passengerKeys.copyBind( moveMap, useGravGun );
			passengerKeys.copyBind( moveMap, useLaserRifle );
			passengerKeys.copyBind( moveMap, useMicrowaveGun );
			passengerKeys.copyBind( moveMap, usePlazmaz );
			passengerKeys.copyBind( moveMap, useShotGun );
			passengerKeys.copyBind( moveMap, useTechTool );
			passengerKeys.copyBind( moveMap, useVulcan );
			passengerKeys.copyBind( moveMap, useMicrowaveGun );
			passengerKeys.copyBind( moveMap, throwGrenade );
			passengerKeys.copyBind( moveMap, placeMine ); } }
	function VehicleHud::onWake( %this ) {
		VIN_RemainingText.setText( "" );
		VIN_BuyBtn.setActive( false );
		if ( isObject( hudMap ) ) {
			hudMap.pop();
			hudMap.delete(); }
		new ActionMap( hudMap );
		hudMap.blockBind( moveMap, toggleInventoryHud );
		hudMap.blockBind( moveMap, toggleScoreScreen );
		hudMap.blockBind( moveMap, toggleCommanderMap );
		hudMap.bindCmd( keyboard, escape, "", "VehicleHud.onCancel();" );
		hudMap.bindCmd( keyboard, "1", "", "VehicleHud.quickBuy( 0 );" );
		hudMap.bindCmd( keyboard, "2", "", "VehicleHud.quickBuy( 1 );" );
		hudMap.bindCmd( keyboard, "3", "", "VehicleHud.quickBuy( 2 );" );
		hudMap.bindCmd( keyboard, "4", "", "VehicleHud.quickBuy( 3 );" );
		hudMap.bindCmd( keyboard, "5", "", "VehicleHud.quickBuy( 4 );" );
		hudMap.bindCmd( keyboard, "6", "", "VehicleHud.quickBuy( 5 );" );
		hudMap.bindCmd( keyboard, "7", "", "VehicleHud.quickBuy( 5 );" );
		hudMap.push(); }
	function VehicleHud::onTabSelect( %this, %id, %name, %count ) {
		if ( %this.selId !$= "" )
			$Hud['vehicleHud'].data[%this.selId, 0].setValue( false );
		%this.selId = %id;
		%this.selected = %name;
		if(%name $= "GravFlyer")
			VIN_Picture.setBitmap( "gui/vin_ScoutVehicle");
		else
			VIN_Picture.setBitmap( "gui/vin_" @ %name );
		VIN_RemainingText.setText( %count SPC "Remaining" );
		VIN_BuyBtn.setActive( %count > 0 ); }
};
activatePackage(MechinaClient);
function Disconnect() {
	schedule(2500, 0, cleanUpMechinaClient);
	if ( isObject( ServerConnection ) )
		ServerConnection.delete();
	DisconnectedCleanup();
	DestroyServer(); }
function clientCmdsetWeaponsReticle(%ret) {
	if(%ret $= "gui/hud_ret_targlaser" || %ret $= "gui/hud_ret_sniper" || %ret $= "gui/hud_ret_shocklance")
		%vis = false;
	else
		%vis = true;
	reticleHud.setBitmap(%ret);
	reticleFrameHud.setVisible(%vis); }
function clientCmdClientInstalled(){
	%clientVer = $Mechina::ClientVersion;
	commandToServer( 'ClientIsInstalled', %clientVer); }	
function ActivateGlobals(){
	if(!$MechinaKeyBind) {
			$RemapName[$RemapCount] = "EMP Mortar";
			$RemapCmd[$RemapCount] = "useEMPMortar";
			$RemapCount++;
			$RemapName[$RemapCount] = "Drunk Missile";
			$RemapCmd[$RemapCount] = "useDrunkMissile";
			$RemapCount++;
			$RemapName[$RemapCount] = "Flail Cannon";
			$RemapCmd[$RemapCount] = "useFlail";
			$RemapCount++;
			$RemapName[$RemapCount] = "Flame Thrower";
			$RemapCmd[$RemapCount] = "useFlameThrower";
			$RemapCount++;
			$RemapName[$RemapCount] = "Grappling Gun";
			$RemapCmd[$RemapCount] = "useGravGun";
			$RemapCount++;
			$RemapName[$RemapCount] = "Laser Rifle";
			$RemapCmd[$RemapCount] = "useLaserRifle";
			$RemapCount++;
			$RemapName[$RemapCount] = "Microwave Gun";
			$RemapCmd[$RemapCount] = "useMicrowaveGun";
			$RemapCount++;
			$RemapName[$RemapCount] = "Plazmaz";
			$RemapCmd[$RemapCount] = "usePlazmaz";
			$RemapCount++;
			$RemapName[$RemapCount] = "Romulan";
			$RemapCmd[$RemapCount] = "useRomulan";
			$RemapCount++;
			$RemapName[$RemapCount] = "Multi Induction Cannon";
			$RemapCmd[$RemapCount] = "useShotGun";
			$RemapCount++;
			$RemapName[$RemapCount] = "Repair Tool";
			$RemapCmd[$RemapCount] = "useTechTool";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vulcan";
			$RemapCmd[$RemapCount] = "useVulcan";
			$RemapCount++;
			$RemapName[$RemapCount] = "Select Sticky Bomb";
			$RemapCmd[$RemapCount] = "quickPackStickyGrenade";
			$RemapCount++;
			$RemapName[$RemapCount] = "Select Fragmentation Grenade";
			$RemapCmd[$RemapCount] = "quickPackFragGrenade";
			$RemapCount++;
			$RemapName[$RemapCount] = "Booster Pack";
			$RemapCmd[$RemapCount] = "quickPackBoostPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Grendal Support Pack";
			$RemapCmd[$RemapCount] = "quickPackGrendalBoostPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vehicle: Cloaking Device";
			$RemapCmd[$RemapCount] = "quickPackVCloakDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vehicle: Energy Bolts";
			$RemapCmd[$RemapCount] = "quickPackVEnergyBoltDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vehicle: Chainguns";
			$RemapCmd[$RemapCount] = "quickPackVChaingunDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vehicle: Shrike Missiles";
			$RemapCmd[$RemapCount] = "quickPackVMissileDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Vehicle: Light Napalm";
			$RemapCmd[$RemapCount] = "quickPackVLightNapalmDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "EMP AA Turret Barrel";
			$RemapCmd[$RemapCount] = "quickPackEMPBarrelPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Small Laser Barrel";
			$RemapCmd[$RemapCount] = "quickPackLaserBarrelPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Small Fusion Barrel";
			$RemapCmd[$RemapCount] = "quickPackSmlFusionBarrelPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "AirStrike: Standard Missile";
			$RemapCmd[$RemapCount] = "quickPackStandardMissileDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "AirStrike: Napalm Missile";
			$RemapCmd[$RemapCount] = "quickPackNapalmMissileDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "AirStrike: Beacon";
			$RemapCmd[$RemapCount] = "quickPackMissileBeaconDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "AirStrike: Launch Unit";
			$RemapCmd[$RemapCount] = "quickPackMCSDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Turret Base";
			$RemapCmd[$RemapCount] = "quickPackTurretOutdoorDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Laser Fence Post";
			$RemapCmd[$RemapCount] = "quickPackFencePostDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "WatchDog";
			$RemapCmd[$RemapCount] = "quickPackWatchDogDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Turret Cloaking Device";
			$RemapCmd[$RemapCount] = "quickPackCloakingDeviceDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Force Field Beacons";
			$RemapCmd[$RemapCount] = "quickPackFieldBeaconDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Deployable Platform";
			$RemapCmd[$RemapCount] = "quickPackPlatformDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Blast Wall";
			$RemapCmd[$RemapCount] = "quickPackBlastWallDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Teleporter";
			$RemapCmd[$RemapCount] = "quickPackTeleporter";
			$RemapCount++;
			$RemapName[$RemapCount] = "Cycle Next Pack";
			$RemapCmd[$RemapCount] = "CycleNextPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Cycle Prev Pack";
			$RemapCmd[$RemapCount] = "CyclePrevPack";
			$RemapCount++;
			$RemapName[$RemapCount] = "Cycle Next Deployable";
			$RemapCmd[$RemapCount] = "CycleNextDeployable";
			$RemapCount++;
			$RemapName[$RemapCount] = "Cycle Prev Deployable";
			$RemapCmd[$RemapCount] = "CyclePrevDeployable";
			$RemapCount++;
			$MechinaKeyBind = true; }
	$BackpackHudData[0, itemDataName] = "AmmoPack";
	$BackpackHudData[0, bitmapName] = "gui/hud_new_packammo";
	$BackpackHudData[1, itemDataName] = "CloakingPack";
	$BackpackHudData[1, bitmapName] = "gui/hud_new_packcloak";
	$BackpackHudData[2, itemDataName] = "EnergyPack";
	$BackpackHudData[2, bitmapName] = "gui/hud_new_packenergy";
	$BackpackHudData[3, itemDataName] = "RepairPack";
	$BackpackHudData[3, bitmapName] = "gui/hud_new_packrepair";
	$BackpackHudData[4, itemDataName] = "ShieldPack";
	$BackpackHudData[4, bitmapName] = "gui/hud_new_packshield";
	$BackpackHudData[5, itemDataName] = "SatchelCharge";
	$BackpackHudData[5, bitmapName] = "gui/hud_new_packsatchel";
	$BackpackHudData[6, itemDataName] = "SensorJammerPack";
	$BackpackHudData[6, bitmapName] = "gui/hud_new_packsensjam";
	$BackpackHudData[7, itemDataName] = "BoostPack";
	$BackpackHudData[7, bitmapName] = "gui/hud_new_packenergy";
	$BackpackHudData[8, itemDataName] = "GrendalBoostPack";
	$BackpackHudData[8, bitmapName] = "gui/hud_new_packenergy";
	$BackpackHudData[9, itemDataName] = "VCloakDeployable";
	$BackpackHudData[9, bitmapName] = "gui/hud_new_packcloak";
	$BackpackHudData[10, itemDataName] = "VEnergyBoltDeployable";
	$BackpackHudData[10, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[11, itemDataName] = "VChaingunDeployable";
	$BackpackHudData[11, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[12, itemDataName] = "VMissileDeployable";
	$BackpackHudData[12, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[13, itemDataName] = "VLightNapalmDeployable";
	$BackpackHudData[13, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[14, itemDataName] = "AABarrelPack";
	$BackpackHudData[14, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[15, itemDataName] = "MissileBarrelPack";
	$BackpackHudData[15, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[16, itemDataName] = "MortarBarrelPack";
	$BackpackHudData[16, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[17, itemDataName] = "PlasmaBarrelPack";
	$BackpackHudData[17, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[18, itemDataName] = "ELFBarrelPack";
	$BackpackHudData[18, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[19, itemDataName] = "EMPBarrelPack";
	$BackpackHudData[19, bitmapName] = "gui/gui/hud_new_packturret";
	$BackpackHudData[20, itemDataName] = "LaserBarrelPack";
	$BackpackHudData[20, bitmapName] = "gui/hud_new_packturret";
	$BackpackHudData[21, itemDataName] = "SmlFusionBarrelPack";
	$BackpackHudData[21, bitmapName] = "gui/gui/hud_new_packturret";
	$BackpackHudData[22, itemDataName] = "StandardMissileDeployable";
	$BackpackHudData[22, bitmapName] = "gui/gui/hud_new_packturret";
	$BackpackHudData[23, itemDataName] = "NapalmMissileDeployable";
	$BackpackHudData[23, bitmapName] = "gui/gui/hud_new_packturret";
	$BackpackHudData[24, itemDataName] = "MissileBeaconDeployable";
	$BackpackHudData[24, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[25, itemDataName] = "MCSDeployable";
	$BackpackHudData[25, bitmapName] = "gui/hud_new_packturretout";
	$BackpackHudData[26, itemDataName] = "TurretIndoorDeployable";
	$BackpackHudData[26, bitmapName] = "gui/hud_new_packturretin";
	$BackpackHudData[27, itemDataName] = "TurretOutdoorDeployable";
	$BackpackHudData[27, bitmapName] = "gui/hud_new_packturretout";
	$BackpackHudData[28, itemDataName] = "FencePostDeployable";
	$BackpackHudData[28, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[29, itemDataName] = "WatchDogDeployable";
	$BackpackHudData[29, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[30, itemDataName] = "CloakingDeviceDeployable";
	$BackpackHudData[30, bitmapName] = "gui/hud_new_packmotionsens";
	$BackpackHudData[31, itemDataName] = "InventoryDeployable";
	$BackpackHudData[31, bitmapName] = "gui/hud_new_packinventory";
	$BackpackHudData[32, itemDataName] = "PulseSensorDeployable";
	$BackpackHudData[32, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[33, itemDataName] = "MotionSensorDeployable";
	$BackpackHudData[33, bitmapName] = "gui/hud_new_packmotionsens";
	$BackpackHudData[34, itemDataName] = "FieldBeaconDeployable";
	$BackpackHudData[34, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[35, itemDataName] = "PlatformDeployable";
	$BackpackHudData[35, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[36, itemDataName] = "BlastWallDeployable";
	$BackpackHudData[36, bitmapName] = "gui/hud_new_packradar";
	$BackpackHudData[37, itemDataName] = "Teleporter";
	$BackpackHudData[37, bitmapName] = "gui/hud_new_packinventory";
	$BackpackHudData[38, itemDataName] = "LaunchPadDeployable";
	$BackpackHudData[38, bitmapName] = "gui/hud_new_packinventory";
	$BackpackHudCount = 39;
	$ControlObjectReticle[LaserBarrelSmall, bitmap] = "ret_sniper";
	$ControlObjectReticle[LaserBarrelSmall, frame] = false;
	$ControlObjectReticle[EMPBarrelLarge, bitmap] = "ret_chaingun";
	$ControlObjectReticle[EMPBarrelLarge, frame] = true;
	$ControlObjectReticle[SmlFusionBarrel, bitmap] = "ret_blaster";
	$ControlObjectReticle[SmlFusionBarrel, frame] = true;
	 }		
function cleanUpMechinaClient(){
	echo("De-Activating the Mechina Client Packages");
	deactivatePackage(MechinaInstaller);
	deactivatePackage(MechinaClient);
	if(isPackage(MechinaAdminClient))
		deactivatePackage(MechinaAdminClient);
	$BackpackHudData[0, itemDataName] = "AmmoPack";
	$BackpackHudData[0, bitmapName] = "gui/hud_new_packammo.png";
	$BackpackHudData[1, itemDataName] = "CloakingPack";
	$BackpackHudData[1, bitmapName] = "gui/hud_new_packcloak.png";
	$BackpackHudData[2, itemDataName] = "EnergyPack";
	$BackpackHudData[2, bitmapName] = "gui/hud_new_packenergy.png";
	$BackpackHudData[3, itemDataName] = "RepairPack";
	$BackpackHudData[3, bitmapName] = "gui/hud_new_packrepair.png";
	$BackpackHudData[4, itemDataName] = "SatchelCharge";
	$BackpackHudData[4, bitmapName] = "gui/hud_new_packsatchel.png";
	$BackpackHudData[5, itemDataName] = "ShieldPack";
	$BackpackHudData[5, bitmapName] = "gui/hud_new_packshield.png";
	$BackpackHudData[6, itemDataName] = "InventoryDeployable";
	$BackpackHudData[6, bitmapName] = "gui/hud_new_packinventory.png";
	$BackpackHudData[7, itemDataName] = "MotionSensorDeployable";
	$BackpackHudData[7, bitmapName] = "gui/hud_new_packmotionsens.png";
	$BackpackHudData[8, itemDataName] = "PulseSensorDeployable";
	$BackpackHudData[8, bitmapName] = "gui/hud_new_packradar.png";
	$BackpackHudData[9, itemDataName] = "TurretOutdoorDeployable";
	$BackpackHudData[9, bitmapName] = "gui/hud_new_packturretout.png";
	$BackpackHudData[10, itemDataName] = "TurretIndoorDeployable";
	$BackpackHudData[10, bitmapName] = "gui/hud_new_packturretin.png";
	$BackpackHudData[11, itemDataName] = "SensorJammerPack";
	$BackpackHudData[11, bitmapName] = "gui/hud_new_packsensjam.png";
	$BackpackHudData[12, itemDataName] = "AABarrelPack";
	$BackpackHudData[12, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudData[13, itemDataName] = "FusionBarrelPack";
	$BackpackHudData[13, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudData[14, itemDataName] = "MissileBarrelPack";
	$BackpackHudData[14, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudData[15, itemDataName] = "PlasmaBarrelPack";
	$BackpackHudData[15, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudData[16, itemDataName] = "ELFBarrelPack";
	$BackpackHudData[16, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudData[17, itemDataName] = "MortarBarrelPack";
	$BackpackHudData[17, bitmapName] = "gui/hud_new_packturret.png";
	$BackpackHudCount = 18;
	$BackpackHudData[18, itemDataName] = "";
	$BackpackHudData[18, bitmapName] = "";
	$BackpackHudData[19, itemDataName] = "";
	$BackpackHudData[19, bitmapName] = "";
	$BackpackHudData[20, itemDataName] = "";
	$BackpackHudData[20, bitmapName] = "";
	$BackpackHudData[21, itemDataName] = "";
	$BackpackHudData[21, bitmapName] = "";
	$BackpackHudData[22, itemDataName] = "";
	$BackpackHudData[22, bitmapName] = "";
	$BackpackHudData[23, itemDataName] = "";
	$BackpackHudData[23, bitmapName] = "";
	$BackpackHudData[24, itemDataName] = "";
	$BackpackHudData[24, bitmapName] = "";
	$BackpackHudData[25, itemDataName] = "";
	$BackpackHudData[25, bitmapName] = "";
	$BackpackHudData[26, itemDataName] = "";
	$BackpackHudData[26, bitmapName] = "";
	$BackpackHudData[27, itemDataName] = "";
	$BackpackHudData[27, bitmapName] = "";
	$BackpackHudData[28, itemDataName] = "";
	$BackpackHudData[28, bitmapName] = "";
	$BackpackHudData[29, itemDataName] = "";
	$BackpackHudData[29, bitmapName] = "";
	$BackpackHudData[30, itemDataName] = "";
	$BackpackHudData[30, bitmapName] = "";
	$BackpackHudData[31, itemDataName] = "";
	$BackpackHudData[31, bitmapName] = "";
	$BackpackHudData[32, itemDataName] = "";
	$BackpackHudData[32, bitmapName] = "";
	$BackpackHudData[33, itemDataName] = "";
	$BackpackHudData[33, bitmapName] = "";
	$BackpackHudData[34, itemDataName] = "";
	$BackpackHudData[34, bitmapName] = "";
	$BackpackHudData[35, itemDataName] = "";
	$BackpackHudData[35, bitmapName] = "";
	$BackpackHudData[36, itemDataName] = "";
	$BackpackHudData[36, bitmapName] = "";
	$BackpackHudData[37, itemDataName] = "";
	$BackpackHudData[37, bitmapName] = "";
	$BackpackHudData[38, itemDataName] = "";
	$BackpackHudData[38, bitmapName] = "";}				
ActivateGlobals();
echo("Mechina Client Initialized");

